import { UseMutationOptions, UseQueryOptions } from '@tanstack/react-query';
import { ApiPromise } from '@polkadot/api';
export declare type QueryConfig<T = any, V = any> = Omit<UseQueryOptions<T, unknown, T, (string | V | null)[]>, 'queryFn' | 'queryKey'>;
export declare type MutationConfig<Param> = UseMutationOptions<string, Error, Param, unknown> & {
    onTxSuccess?: (data: Param, address: string) => void;
};
export declare type Transaction = ReturnType<ApiPromise['tx']['']['']>;
export interface WalletAccount {
    address: string;
    signer?: any;
}
