import { SubsocialApi } from '@subsocial/api';
import { SubsocialApiProps } from '@subsocial/api/types';
declare const presets: {
    staging: {
        substrateUrl: string;
        ipfsNodeUrl: string;
        offchainUrl: string;
        useServer: {
            httpRequestMethod: "get";
        };
    };
    prod: {
        substrateUrl: string;
        offchainUrl: string;
        ipfsNodeUrl: string;
    };
};
export declare function getConnectionConfig(): Omit<SubsocialApiProps, "substrateApi"> & {
    substrateUrl: string;
};
export declare const setSubsocialConfig: (preset: keyof typeof presets, customConfig?: SubsocialApiProps | undefined) => void;
export declare const getSubsocialApi: () => Promise<SubsocialApi>;
export {};
